ReferenceManager (groovy 2.4.5 API)
Date: 2015-09-17

Package: org.codehaus.groovy.util

## [Java] Class ReferenceManager

- org.codehaus.groovy.util.ReferenceManager

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `def` | `ReferenceManager(ReferenceQueue queue)`
    `void` | `afterReferenceCreation(Reference r)`
    `static ReferenceManager` | `createCallBackedManager(ReferenceQueue queue)`
    `static ReferenceManager` | `createIdlingManager(ReferenceQueue queue)`
    `static ReferenceManager` | `createThreadedManager(ReferenceQueue queue)`
    `static ReferenceManager` | `createThresholdedIdlingManager(ReferenceQueue queue, ReferenceManager callback, int threshold)`
    `static ReferenceBundle` | `getDefaultSoftBundle()`
    `static ReferenceBundle` | `getDefaultWeakBundle()`
    `protected ReferenceQueue` | `getReferenceQueue()`
    `void` | `removeStallEntries()`
    `void` | `stopThread()`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public def ReferenceManager(ReferenceQueue queue)

    - #### public void afterReferenceCreation(Reference r)

    - #### public static ReferenceManager createCallBackedManager(ReferenceQueue queue)

    - #### public static ReferenceManager createIdlingManager(ReferenceQueue queue)

    - #### public static ReferenceManager createThreadedManager(ReferenceQueue queue)

    - #### public static ReferenceManager createThresholdedIdlingManager(ReferenceQueue queue, ReferenceManager callback, int threshold)

    - #### public static ReferenceBundle getDefaultSoftBundle()

    - #### public static ReferenceBundle getDefaultWeakBundle()

    - #### protected ReferenceQueue getReferenceQueue()

    - #### public void removeStallEntries()

    - #### public void stopThread()

    - #### @Override public String toString()